<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">

    <title>TuxemonClicker</title>
    <link rel="icon" href="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/tuxemon.png">

    <link rel="stylesheet" href="/resources/css/variables.css" />
    <link rel="stylesheet" href="/resources/css/page.css" />
    <link rel="stylesheet" href="/resources/css/battle.css" />
    <link rel="stylesheet" href="/resources/css/town.css" />
    <link rel="stylesheet" href="/resources/css/menu.css" />
  </head>

  <body>
    <div class="wrap">
      <div id="scene__battle">
        <div id="battle">
          <div id="battle__opponent">
            <img class="battle__technique-animation" src="" draggable="false" />
          </div>

          <div id="battle__player"></div>
        </div>

        <div id="techniques"></div>
      </div>

      <div id="scene__town" class="hidden">
        <div data-template-slot="map"></div>
      </div>

      <div id="log"></div>

      <div id="status">
        <div class="status__area">
          <span data-i18n-properties="title" data-i18n-property-msgids="ui:status:area:title">
            <img data-template-slot="showMap" src="/modules/tuxemon/mods/tuxemon/gfx/items/app_map.png" /> <span data-template-slot="area"></span>
          </span>
        </div>
        <div class="status__numbers">
          <span title="Money">&curren; <span data-template-slot="money"></span></span>
          <span title="Monster Progress"><img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/tuxemon.png" /> <span data-template-slot="monsterProgress"></span></span>
          <span title="Trainer Progress"><img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/player.png" style="filter: invert(1);" /> <span data-template-slot="trainerProgress"></span></span>
        </div>
        <div class="status__actions">
          <button data-template-slot="nextTrainer" class="menu-button">&rArr; <span data-i18n-msgid="ui:next_trainer"><span></button>
          <button data-template-slot="changeArea" class="menu-button">&rArr; <span data-i18n-msgid="ui:change_area"></span></button>
        </div>
      </div>

      <div id="menu">
        <div id="menu__party">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/tuxemon.png" title="Tuxemon" width="64" height="64" />
        </div>

        <div id="menu__catch">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/items/tuxeball.png" title="Catch" width="64" height="64" />
        </div>

        <div id="menu__inventory">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/item/backpack.png" title="Inventory" width="64" height="64" />
        </div>

        <div id="menu__log">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/journal.png" title="Log" width="64" height="64" />
        </div>

        <div id="menu__journal">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/save.png" title="Save" width="64" height="64" />
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/load.png" title="Load" width="64" height="64" />
        </div>

        <div id="menu__settings">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/settings.png" title="Settings" width="64" height="64" />
        </div>
      </div>
    </div>


    <!-- Templates -->

    <template id="tpl___popup">
      <div class="popup__overlay">
        <div data-template-slot="content" class="popup"></div>
      </div>
    </template>

    <template id="tpl___tabs">
      <div class="tabs"></div>
    </template>
    <template id="tpl___tabs__tab-heading">
      <div data-template-type="multiple">
        <input data-template-slot="input" type="radio" name="{TABS}" id="{TAB_BUTTON}" aria-controls="{TAB_PANEL}">
        <label data-template-slot="label" class="tabs__tab-heading menu-button" for="{TAB_BUTTON}"></label>
      </div>
    </template>
    <template id="tpl___tabs__panels">
      <div class="tabs__panels"></div>
    </template>
    <template id="tpl___tabs__tab-panel">
      <section data-template-slot="panel" id="{TAB_PANEL}" class="tabs__tab-panel"></section>
    </template>

    <template id="tpl___battle__monster">
      <div class="battle__monster">
        <div class="battle__monster-info">
          <div class="battle__monster-info-box">
            <div>
              <span data-template-slot="name" class="battle__monster-info__name"></span>
              <span data-template-slot="gender" class="battle__monster-info__gender"></span>
              Lv. <span data-template-slot="level" class="battle__monster-info__level"></span>
            </div>
            <div class="battle__monster-info-box__status">
              <div data-template-slot="statusEffect" class="battle__monster-info__status"></div>
              <div data-template-slot="hpBar"></div>
            </div>
          </div>
          <div class="battle__monster-info-exp">
            <div class="exp-label">XP</div>
            <div data-template-slot="expBar"></div>
          </div>
        </div>
        <div class="battle__monster-visual">
          <img data-template-slot="sprite" class="battle__monster-sprite" src="" draggable="false" />
          <div class="battle__trainer-visual">
            <img data-template-slot="trainerSprite" class="battle__trainer-sprite" src="" draggable="false" />
            <div data-template-slot="trainerName"></div>
          </div>
        </div>
      </div>
    </template>

    <template id="tpl___battle__hp-bar">
      <div class="hp-bar">
        <div class="hp-bar__bar-wrap">
          <div data-template-slot="bar" class="hp-bar__bar"></div>
        </div>
        <div data-template-slot="text" class="hp-bar__text"></div>
      </div>
    </template>

    <template id="tpl___battle__exp-bar">
      <div class="exp-bar">
        <div class="exp-bar__bar-wrap">
          <div data-template-slot="bar" class="exp-bar__bar"></div>
        </div>
        <div data-template-slot="text" class="exp-bar__text"></div>
      </div>
    </template>

    <template id="tpl___battle__action-feedback">
      <div data-template-slot="text" class="action-feedback"></div>
    </template>

    <template id="tpl___techniques">
      <div></div>
    </template>
    <template id="tpl___technique">
      <div data-game-element-type="menuBattleTechniquesTechnique" class="techniques__technique">
        <div>
          <div data-template-slot="name"></div>
        </div>
        <div>
          <div data-template-slot="types"></div>
          <div data-template-slot="range" title="range"></div>
          <div data-template-slot="recharge" title="recharge"></div>
        </div>
        <div>
          <div data-template-slot="power" title="power"></div>
          <div data-template-slot="accuracy" title="accuracy"></div>
        </div>
      </div>
    </template>

    <template id="tpl___map">
      <div class="map"></div>
    </template>

    <template id="tpl___healing-center">
      <div class="healing-center">
        <div><span data-i18n-msgid="ui:healing_center:heal:price_description"></span>: <span data-template-slot="price"></span></div>
        <div><button data-template-slot="heal" data-i18n-msgid="ui:healing_center:heal:select" class="menu-button"></button></div>
        <div>
          <button data-template-slot="box.withdraw" data-i18n-msgid="ui:healing_center:box:withdraw" class="menu-button"></button>
          <button data-template-slot="box.deposit" data-i18n-msgid="ui:healing_center:box:deposit" class="menu-button"></button>
          <button data-template-slot="box.view" data-i18n-msgid="ui:healing_center:box:view" class="menu-button"></button>
        </div>
      </div>
    </template>

    <template id="tpl___shop">
      <div class="shop">
        <div data-template-slot="items" class="shop__items"></div>
        <div data-template-slot="modes" class="shop__selection-modes selection-modes">
          <button data-template-slot="modeBuy" data-selection-mode="buy" data-i18n-msgid="ui:shop:mode:buy" class="menu-button"></button>
          <button data-template-slot="modeInfo" data-selection-mode="info" data-i18n-msgid="ui:shop:mode:info" class="menu-button"></button>
        </div>
      </div>
    </template>

    <template id="tpl___shop__item">
      <div class="shop__item">
        <img data-template-slot="sprite" src="" />
        <div>
          <span data-template-slot="name"></span>
          <span data-template-slot="price"></span>
        </div>
      </div>
    </template>

    <template id="tpl___party">
      <div class="party">
        <div data-template-slot="monsters" class="party__monsters"></div>
        <div data-template-slot="modes" class="party__selection-modes selection-modes">
          <button data-template-slot="modeSelect" data-party-selection-mode="select" data-i18n-msgid="ui:party_monsters:mode:select" class="menu-button"></button>
          <button data-template-slot="modeStats" data-party-selection-mode="stats" data-i18n-msgid="ui:party_monsters:mode:stats" class="menu-button"></button>
          <button data-template-slot="modeTechniques" data-party-selection-mode="techniques" data-i18n-msgid="ui:party_monsters:mode:techniques" class="menu-button"></button>
        </div>
      </div>
    </template>

    <template id="tpl___party__monster">
      <div class="party__monster">
        <img data-template-slot="sprite" class="monster__img" src="" />
        <div class="party__monster__stats">
          <span data-template-slot="name"></span>
          <span data-template-slot="gender"></span>
          Lv. <span data-template-slot="level"></span>
        </div>
        <div>
          <span data-template-slot="statusEffect"></span>
          HP <span data-template-slot="hpText"></span>
        </div>
      </div>
    </template>

    <template id="tpl___monster-stats">
      <div class="monster-stats">
        <div class="monster-stats__identity">
          <span data-template-slot="name"></span>
          <span data-template-slot="gender"></span>
          Lv. <span data-template-slot="level"></span>
          <span data-template-slot="types"></span>
        </div>

        <div>
          XP <span data-template-slot="exp"></span>
        </div>

        <div>
          <table>
            <tr>
              <th data-template-slot="stats.melee.name">Melee</th>
              <td data-template-slot="stats.melee.value"></td>
            </tr>
            <tr>
              <th data-template-slot="stats.armour.name">Armour</th>
              <td data-template-slot="stats.armour.value"></td>
            </tr>
            <tr>
              <th data-template-slot="stats.ranged.name">Ranged</th>
              <td data-template-slot="stats.ranged.value"></td>
            </tr>
            <tr>
              <th data-template-slot="stats.dodge.name">Dodge</th>
              <td data-template-slot="stats.dodge.value"></td>
            </tr>
            <tr>
              <th data-template-slot="stats.speed.name">Speed</th>
              <td data-template-slot="stats.speed.value"></td>
            </tr>
          </table>
        </div>

        <button data-template-slot="techniques" data-i18n-msgid="ui:party_monsters:mode:techniques" class="menu-button"></button>
      </div>
    </template>

    <template id="tpl___moveset__list">
      <div class="moveset__list"></div>
    </template>

    <template id="tpl___moveset__item">
      <div class="moveset__item">
        <span data-template-slot="name" class="moveset__item__name"></span>
        <span data-template-slot="types" class="moveset__item__type"></span>
        <span data-template-slot="power" class="moveset__item__power"></span>
        <span data-template-slot="level" class="moveset__item__level"></span>
      </div>
    </template>

    <template id="tpl___area-selection">
      <div class="area-selection"></div>
    </template>

    <template id="tpl___area-selection__item">
      <div class="area-selection__item menu-button">
        &rArr;
        <span data-template-slot="text"></span>
      </div>
    </template>

    <template id="tpl___inventory">
      <div class="inventory">
        <div data-template-slot="items"></div>
        <div data-template-slot="modes" class="inventory__selection-modes selection-modes">
          <button data-template-slot="modeUse" data-selection-mode="use" data-i18n-msgid="ui:inventory:mode:use" class="menu-button"></button>
          <button data-template-slot="modeInfo" data-selection-mode="info" data-i18n-msgid="ui:inventory:mode:info" class="menu-button"></button>
        </div>
      </div>
    </template>

    <template id="tpl___inventory__item">
      <div class="inventory__item">
        <img data-template-slot="sprite" />
        <div>
          <span data-template-slot="name"></span>
          x<span data-template-slot="quantity"></span>
        </div>
      </div>
    </template>

    <template id="tpl___menu__journal">
      <div class="menu__journal">
        <button data-template-slot="save" class="menu-button">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/save.png" title="Save" />
          Save
        </button>
        <button data-template-slot="load" class="menu-button">
          <img src="/modules/tuxemon/mods/tuxemon/gfx/ui/menu/load.png" title="Load" />
          Load
        </button>
      </div>
    </template>

    <template id="tpl___dialog__save">
      <div class="dialog__save">
        <textarea data-template-slot="saveData"></textarea>
        <button data-template-slot="saveClipboard" data-i18n-msgid="ui:save_load:save_to_clipboard" class="menu-button"></button>
      </div>
    </template>

    <template id="tpl___dialog__load">
      <div class="dialog__load">
        <textarea data-template-slot="saveData"></textarea>
        <button data-template-slot="load">Load</button>
      </div>
    </template>

    <template id="tpl___menu__settings">
      <div class="menu__settings">
        <table>
          <tr>
            <th>
              <label data-i18n-msgid="ui:settings:name:label" for="settings.name"></label>
            </th>
            <td>
              <input data-template-slot="name" type="text" id="settings.name">
            </td>
          </tr>

          <tr>
            <th>
              <label data-i18n-msgid="ui:settings:language:label"></label>
            </th>
            <td>
              <select data-template-slot="language"></select>
            </td>
          </tr>

          <tr>
            <th>
              <label data-i18n-msgid="ui:settings:currency:label"></label>
            </th>
            <td>
              <select data-template-slot="currency"></select>
              <div>
                <span data-i18n-msgid="ui:settings:currency:last_updated"></span>:
                <span data-template-slot="currency.lastUpdated"></span>
              </div>
            </td>
          </tr>
        </table>

        <button data-template-slot="highlight" class="menu-button"><span data-i18n-msgid="ui:settings:highlight_interactive_elements"></span></button>

        <button data-template-slot="clearLocalSaveData" class="menu-button"><span data-i18n-msgid="ui:settings:clear_local_save_data:button"></span></button>
      </div>
    </template>

    <template id="tpl___load-popup">
      <div class="load-popup">
        <h1 data-i18n-msgid="ui:load:loading" class="load-popup__title"></h1>
        <progress data-template-slot="progress" class="load-popup__bar" value="0" max="100"></progress>
        <div data-template-slot="progress.text" class="load-popup__text"></div>
      </div>
    </template>

    <template id="tpl___story__popup">
      <div class="story__popup">
        <div>
          <img data-template-slot="speaker.sprite" src="" />
          <div data-template-slot="speaker.name"></div>
        </div>
        <div data-template-slot="text" class="text"></div>
        <button data-template-slot="next" data-i18n-msgid="ui:story:next" class="menu-button"></button>
      </div>
    </template>


    <script type="text/javascript" src="/resources/js/definitions.js"></script>
    <script type="text/javascript" src="/resources/js/helpers.js"></script>
    <script type="text/javascript" src="/resources/js/classes/utility/TechniqueEffect.js"></script>
    <script type="text/javascript" src="/resources/js/classes/utility/ItemCondition.js"></script>
    <script type="text/javascript" src="/resources/js/classes/utility/ItemEffect.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Trainer.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Monster.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Technique.js"></script>
    <script type="text/javascript" src="/resources/js/classes/StatusEffect.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Item.js"></script>
    <script type="text/javascript" src="/resources/js/classes/InventoryItem.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Npc.js"></script>
    <script type="text/javascript" src="/resources/js/classes/Area.js"></script>
    <script type="text/javascript" src="/resources/js/classes/State.js"></script>
    <script type="text/javascript" src="/resources/js/db.js"></script>
    <script type="text/javascript" src="/resources/js/formula.js"></script>
    <script type="text/javascript" src="/resources/js/memory.js"></script>
    <script type="text/javascript" src="/resources/js/ui.js"></script>
    <script type="text/javascript" src="/resources/js/game.js"></script>
    <script type="text/javascript" src="/resources/js/story.js"></script>
    <script type="text/javascript" src="/resources/js/main.js"></script>
  </body>
</html>
